## org.codeberg.nykula.sapfir_9_src.tar.gz

=== android/app/essentia-prefix/essentia.js/src/python/requirements.txt ===
cogapp
# (remove this when official mtg-emscripten docker already has essentia python bindings installed)
essentia

=== android/app/essentia-prefix/essentia/doc/sphinxdoc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Essentia.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Essentia.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Essentia"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Essentia"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== android/app/essentia-prefix/essentia/src/examples/wscript ===
#!/usr/bin/env python3
# -*- coding: utf-8 -*-
from __future__ import print_function

from waflib.TaskGen import feature, before_method
import distutils.sysconfig
import os
import sys

# This is a list of 1- or 2-tuples. The first element is the name of
# the source file (less the .cpp extension) and is also used as the
# binary name. The second element (if it exists) is a list of
# additional files for the extractor

example_sources_fileio = [
    ('standard_beatsmarker', ),
    ('standard_fadedetection', ),
    ('standard_mfcc', ),
    ('standard_onsetrate', ),
    ('standard_pitchdemo', ),
    ('standard_rhythmtransform', ),
    ('standard_spectralcontrast', ),
    ('standard_vibrato', ),

    ('standard_harmonicmodel', ),
    ('standard_hpsmodel', ),
    ('standard_hprmodel', ),
    ('standard_predominantmask', ),
    ('standard_sinemodel', ),
    ('standard_sinesubtraction', ),
    ('standard_sprmodel', ),
    ('standard_spsmodel', ),
    ('standard_stft', ),
    ('standard_stochasticmodel', ),
    ('standard_chromaprinter', ),
    ('standard_pca', ),

    ('standard_discontinuitydetector', ),
    ('standard_extractor_la-cupula', ),
    ('standard_gapsdetector', ),
    ('standard_humdetector', ),
    ('standard_loudnessebur128', ),
    ('standard_loudnessebur128_double_input', ),
    ('standard_saturationdetector', ),
    ('standard_snr', ),
    ('standard_tempocnn',),
    ('standard_welch', ),
    ('streaming_humdetector', ),

    ('standard_crosssimilaritymatrix', ),
    ('standard_chromacrosssimilarity', ),
    ('standard_coversongsimilarity', ),

    ('streaming_beatsmarker', ),
    ('streaming_beattracker_multifeature_mirex2013', ),
    ('streaming_key', ),
    ('streaming_gfcc', ),
    ('streaming_md5', ),
    ('streaming_mfcc', ),
    ('streaming_spectrogram',
        ['music_extractor/extractor_utils']),
    ('streaming_rhythmextractor_multifeature', ),
    ('streaming_onsetrate', ),
    ('streaming_panning', ),
    ('streaming_pitchyinfft', ),
    ('streaming_predominantpitchmelodia', ),
    ('streaming_chromacrosssimilarity', ),
    ('streaming_coversongsimilarity', ),
    ('streaming_stft', ),
    ('streaming_tuningfrequency', ),
    ('streaming_vibrato', ),
    ('streaming_yinprobabilistic', ),

    ('streaming_extractor_music',
        ['music_extractor/extractor_utils']),

    ('streaming_extractor_freesound',
        ['music_extractor/extractor_utils'])
]

example_sources_with_gaia = [
    ('streaming_extractor_music_svm',
        ['music_extractor/extractor_utils'])
]

example_sources_with_tensorflow = [
    ('streaming_tensorflowpredict', ),
    ('streaming_musicnn_predict', ),
    ('streaming_vggish_predict', )
]


def configure(ctx):
    example_list_fileio = [p[0] for p in example_sources_fileio]
    example_list_gaia = [p[0] for p in example_sources_with_gaia]
    example_list_tensorflow = [p[0] for p in example_sources_with_tensorflow]

    example_list = []

    if "HAVE_AVCODEC" in ctx.env['define_key'] and "HAVE_SAMPLERATE" in ctx.env['define_key']:
        example_list += example_list_fileio

    if "HAVE_GAIA2" in ctx.env['define_key']:
        example_list += example_list_gaia

    if "HAVE_TENSORFLOW" in ctx.env['define_key']:
        example_list += example_list_tensorflow

    if ctx.env.WITH_EXAMPLES:
        ctx.env.EXAMPLE_LIST = example_list

    if ctx.env.EXAMPLES:
        for e in ctx.env.EXAMPLES.split(","):
            e = e.strip()
            if e not in example_list and e in example_list_gaia:
                raise ctx.errors.ConfigurationError("Specified example [%s] cannot be included because Gaia2 is missing" % e)
            if e not in example_list and e in example_list_tensorflow:
                raise ctx.errors.ConfigurationError("Specified example [%s] cannot be included because TensorFlow is missing" % e)
            if e not in example_list and e in example_list_fileio:
                raise ctx.errors.ConfigurationError("Specified example [%s] cannot be included because LibAv/FFMpeg or libresample are missing" % e)
            elif e not in example_list:
                raise ctx.errors.ConfigurationError("Specified example [%s] does not exist" % e)
            ctx.env.EXAMPLE_LIST.append(e)

    if ctx.env.WITH_STATIC_EXAMPLES:
        #ctx.env.LIB = ['avformat', 'avcodec', 'avutil', 'tag']

        if "HAVE_GAIA2" in ctx.env['define_key']:
            ctx.env.LIB += ['gaia2']
            ctx.env['LIB_GAIA2'] += ['dl'] # -ldl is required when building with static QtCore

        if "HAVE_TENSORFLOW" in ctx.env['define_key']:
            ctx.env.LDFLAGS += ['-ldl']

        if ctx.options.CROSS_COMPILE_MINGW32:
            # otherwise the __imp__ symbols will be expected at link time
            ctx.env.CXXFLAGS += ['-DYAML_DECLARE_STATIC', '-DTAGLIB_STATIC']

    # add flags for support of Accelerate FFT on OSX
    if 'ACCELERATE' in ctx.env.FFT:
        ctx.env.LINKFLAGS += ['-framework', 'Accelerate']


def build(ctx):
    print('→ building from ' + ctx.path.abspath())

    if len(ctx.env.EXAMPLE_LIST):
        def build_example(prog_name, other=None):
            files = ['%s.cpp' % f for f in [prog_name] + (other or [])]

            # If an `other` program has files in a directory we need
            # to add an additional includes
            includes = ['.', '..']

            ctx(features='c cxx cxxprogram check_static',
                source = ctx.path.ant_glob(' '.join(files)),
                target = 'essentia_' + prog_name,
                includes = includes,
                use = 'essentia ', # + ctx.env.USE_LIBS,
                install_path = '${PREFIX}/bin')
            @feature('check_static')
            @before_method('apply_link')
            def check_static(self):
                if ctx.env.WITH_STATIC_EXAMPLES:
                    if sys.platform != 'darwin':
                        # skip -static flag on OSX, otherwise it will complain because
                        # static linking to system libraries is not supported on OSX
                        self.env.LINKFLAGS = ['-static']
                        self.env.SHLIB_MARKER = self.env.STLIB_MARKER

        for e in example_sources_fileio + example_sources_with_gaia + example_sources_with_tensorflow:
            if e[0] in ctx.env.EXAMPLE_LIST:
                if len(e) == 1:
                    build_example(e[0])
                elif len(e) == 2:
                    build_example(e[0], e[1])


    if ctx.env.WITH_VAMP:
        ctx.env.INCLUDES += [ '3rdparty/vamp-plugin-sdk-2.4' ]
        vamp_sdk_files = ctx.path.parent.ant_glob('3rdparty/vamp-plugin-sdk-2.4/src/vamp-sdk/*.cpp')
        # remove this file, it is already included by FFT.cpp
        vamp_sdk_files = [ f for f in vamp_sdk_files if os.path.basename(f.srcpath()) != 'FFTimpl.cpp' ]

        if sys.platform == 'darwin':
            install_path = os.environ['HOME'] + '/Library/Audio/Plug-Ins/Vamp'
        elif sys.platform.startswith('linux'):
            install_path = '${PREFIX}/lib/vamp'
        else:
            install_path = None

        vamp = ctx.shlib(
            source   = ctx.path.ant_glob('vamp*.cpp') + vamp_sdk_files,
            target   = 'vamp_essentia',
            includes = [ '.', '..', '../3rdparty/vamp-plugin-sdk-2.4' ],
            use      = 'essentia ', #+ ctx.env.USE_LIBS,
            install_path = install_path)

=== android/app/essentia-prefix/essentia/src/python/wscript ===
#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from __future__ import print_function

import distutils.sysconfig
import os


def options(ctx):
    ctx.load('python')


def configure(ctx):
    ctx.load('compiler_c python')
    ctx.check_python_version((2,7,0))
    if int(ctx.env.PYTHON_VERSION[0]) == 2:
        print ('→ Configuring for python2')
    else:
        print ('→ Configuring for python3')

    ctx.check_python_headers(features='pyext')
    ctx.check_python_module('numpy')

    # A monkey patch to remove the -lpythonX.Ym flag. PEP 513 recommends to
    # avoid explicit linking to libpythonX.Y.so.1, however python-config still
    # outputs this flag.
    # https://www.python.org/dev/peps/pep-0513
    # https://github.com/pypa/manylinux/issues/85
    ctx.env.LIB_PYEMBED = [f for f in ctx.env.LIB_PYEMBED
                                   if not f.startswith('python')]
    ctx.env.LIB_PYEXT = [f for f in ctx.env.LIB_PYEMBED
                                   if not f.startswith('python')]

def adjust(objs, path):
    return [ '%s/%s' % (path, obj) for obj in objs ]

def build(ctx):
    print('→ building from ' + ctx.path.abspath())

    # gets the path from the active virtualenv
    PYLIB = distutils.sysconfig.get_python_lib()

    NUMPY_INCPATH = [ # importable numpy path
                      __import__('numpy').get_include(),
                      # virtualenv path
                      os.path.join(PYLIB, 'numpy', 'core', 'include'),
                      # system python path
                      os.path.join(ctx.env.PYTHONDIR, 'numpy', 'core', 'include') ]

    pybindings = ctx.shlib(
        source   = ctx.path.ant_glob('essentia.cpp parsing.cpp pytypes/*.cpp'),
        target   = '_essentia',
        features = 'pyext',
        includes = NUMPY_INCPATH + [ '.', 'pytypes' ] + (ctx.env.INCLUDES_ESSENTIA if ctx.env.ONLY_PYTHON else adjust(ctx.env.INCLUDES, '..')),
        cxxflags = [ '-w' ],
        install_path = '${PYTHONDIR}/essentia',
        use      = ctx.env.USE_LIBS if ctx.env.ONLY_PYTHON else 'essentia ' #+ ctx.env.USE_LIBS
    )

    ctx.install_files('${PYTHONDIR}', ctx.path.ant_glob('essentia/**/*.py'),
                      relative_trick=True)

=== android/app/essentia-prefix/essentia.js/src/cpp/custom/Makefile ===
EIGEN_PATH=/usr/local/include/eigen3
LIB_DIR_ESSENTIA=$(EMSCRIPTEN)/system/local/lib
ESSENTIA_JS_WEB=essentia-custom-extractor.web.js
ESSENTIA_JS_WEB_WASM=essentia-custom-extractor.web.wasm
ESSENTIA_JS_MODULE=essentia-custom-extractor.module.js
PRE_JS_WASM=../../js/wasm.module.pre.js
POST_JS_WEB_WASM=../../js/wasm.webmodule.post.js
POST_JS_ES6_WASM=../../js/wasm.es6module.post.js

build:
	@echo "Compiling the Essentia custom cpp extractor"
	# Async builds for html imports ...
	@emcc -I $(EIGEN_PATH) \
	   --bind -Oz bindings_extractor.cpp essentia_custom_extractor.cpp ${LIB_DIR_ESSENTIA}/essentia.a \
	   -s WASM=1 \
	   -o $(ESSENTIA_JS_WEB) \
	   -s EXCEPTION_DEBUG \
	   -s ASSERTIONS=2 \
	   -s ENVIRONMENT=web \
	   -s MODULARIZE=1 \
	   -s EXPORT_NAME="EssentiaWASM" \
	   --post-js $(POST_JS_WEB_WASM) \
	   -s ALLOW_MEMORY_GROWTH=1 || exit 1	
	
	@echo "Done ..."
	   
	# Sync builds for ES6 import and AudioWorklet support ...
	@emcc -I $(EIGEN_PATH) \
		--bind -Oz bindings_extractor.cpp essentia_custom_extractor.cpp ${LIB_DIR_ESSENTIA}/essentia.a \
		-s WASM=1 \
		-o $(ESSENTIA_JS_MODULE) \
		-s BINARYEN_ASYNC_COMPILATION=0 \
		-s ALLOW_MEMORY_GROWTH=1 \
		-s SINGLE_FILE=1 || exit 1
	
	@cat $(PRE_JS_WASM) $(ESSENTIA_JS_WEB) > $$.tmp && mv $$.tmp $(ESSENTIA_JS_WEB)
	@cat $(PRE_JS_WASM) $(ESSENTIA_JS_MODULE) > $$.tmp && mv $$.tmp $(ESSENTIA_JS_MODULE)
	@cat $(POST_JS_ES6_WASM) >> $(ESSENTIA_JS_MODULE)

	@echo "Done ..."

=== android/app/essentia-prefix/essentia/debian/control ===
Source: essentia
Maintainer: Dmitry Bogdanov <dmitry.bogdanov@upf.edu>
Section: sound
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), 
               libyaml-dev (>= 0.1.4), 
               libfftw3-dev (>= 3.3.2), 
               libavcodec-dev, 
               libavformat-dev, 
               libavutil-dev, 
               libswresample-dev,
               libsamplerate0-dev (>= 0.1.8), 
               libtag1-dev (>= 1.9.1), 
               python-dev, 
               python-numpy
Build-Depends-Indep: doxygen
XS-Python-Version: current

Package: libessentia-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: audio analysis tool -- development files
 Essentia is an audio analysis tool. It provides a reusable collection
 of algorithms and descriptors mainly used to extract features from
 audio files. It is written in C++, but also has Python bindings,
 meaning you can control it from within Python, and write scripts that
 use Essentia features (just as you would in Matlab).
 .
 This package contains the development files for libessentia.

Package: python-essentia
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: audio analysis tool -- Python bindings
 Essentia is an audio analysis tool. It provides a reusable collection
 of algorithms and descriptors mainly used to extract features from
 audio files. It is written in C++, but also has Python bindings,
 meaning you can control it from within Python, and write scripts that
 use Essentia features (just as you would in Matlab).
 .
 This package contains all the required files to write applications using
 the Python language, plus some handy tools to work with audio files.

Package: essentia-extractors
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: audio analysis tool -- feature extractors
 Essentia is an audio analysis tool. It provides a reusable collection
 of algorithms and descriptors mainly used to extract features from
 audio files. It is written in C++, but also has Python bindings,
 meaning you can control it from within Python, and write scripts that
 use Essentia features (just as you would in Matlab).
 .
 This package contains command-line feature extractors based on 
 Essentia.

Package: essentia-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: audio analysis tool -- documentation
 Essentia is an audio analysis tool. It provides a reusable collection
 of algorithms and descriptors mainly used to extract features from
 audio files. It is written in C++, but also has Python bindings,
 meaning you can control it from within Python, and write scripts that
 use Essentia features (just as you would in Matlab).
 .
 This package contains all the documentation related to Essentia.
